// -------------------------------------------------------------------------
// Name: Christopher Santamaria
// Date: 
//--------------------------------------------------------------------------

public class OutgoingMessage
{
   boolean debug = false;

   String messageToSend;

   // -------------------------------------------------------------------------
   // Name:
   // Return:
   // Purpose: Send
   // -------------------------------------------------------------------------
   public OutgoingMessage()
   {
      messageToSend = new String();
      messageToSend += StaticFunctions.PACKAGE_HEAD;
   }


   // -------------------------------------------------------------------------
   // Name:
   // Return:
   // Purpose: Send
   // -------------------------------------------------------------------------
   public OutgoingMessage( int messageType )
   {
      messageToSend = new String();
      messageToSend += StaticFunctions.PACKAGE_HEAD;
      messageToSend += "$$$";
      messageToSend += Integer.toString( messageType );

      if( debug )
         System.out.println( "Message to send: " + messageToSend );
   }

   //Added by Chieh-Chih start 11/11 ----------------
   // -------------------------------------------------------------------------
   // Name:
   // Return:
   // Purpose: Send
   // -------------------------------------------------------------------------
   public OutgoingMessage( String messageType )
   {
      messageToSend = new String();
      messageToSend += StaticFunctions.PACKAGE_HEAD;
      messageToSend += "$$$";
      messageToSend += messageType;

      if( debug )
         System.out.println( "Message to send: " + messageToSend );
   }
   //Added by Chieh-Chih   end  11/11 ----------------

   // -------------------------------------------------------------------------
   // Name:
   // Return:
   // Purpose:
   // -------------------------------------------------------------------------
   public void append( String var )
   {
      messageToSend += "$$$" + var;

      if( debug )
         System.out.println( "Message to send: " + messageToSend );
   }

   // -------------------------------------------------------------------------
   // Name:
   // Return:
   // Purpose:
   // -------------------------------------------------------------------------
   public String getMessage()
   {
      return messageToSend;
   }

   // -------------------------------------------------------------------------
   // Name:
   // Return:
   // Purpose: To fix up the remove whatever ascii 13 is from the java message
   //          Windows/java compatibility...
   // -------------------------------------------------------------------------
   public void finalizeChatMessage()
   {
      char [] before = messageToSend.toCharArray();
      char [] after = new char[before.length];

      for( int i = 0, i2 = 0; i < before.length; i++)
         if( ((int)before[i]) != 13 ) {
            after[i2] = before[i];
            i2++;
         }

      messageToSend = new String( after );
   }

} // End Message Class
