// -------------------------------------------------------------------------
// Name: Christopher Santamaria
// Date: 
//--------------------------------------------------------------------------

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.border.*;

public class StatusFrame extends JFrame {

    private final JLabel status = new JLabel("Status Frame 1.0");

    public StatusFrame(String s) {

        super(s);

        Container c = super.getContentPane();
        c.setLayout(new BorderLayout());

        status.setBorder(new EtchedBorder());
        c.add(status, BorderLayout.SOUTH);
    }

    public void setStatus(String s) {
        status.setText(s);
    }

    public static void main(String asArgs[]) throws InterruptedException {

        StatusFrame sf = new StatusFrame("my status frame");
        sf.addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent we) {
                System.exit(0);
            }
        });

        sf.setSize(800, 600);
        sf.setVisible(true);

        sf.setStatus("For Help, press F1");
        Thread.sleep(1000);

        // ... do some stuff
        sf.setStatus("Doing some stuff...");
        Thread.sleep(1000);

        // ... finished doing some stuff.
        sf.setStatus("For Help, press F1");
    }


}
