// -------------------------------------------------------------------------
// Name: Christopher Santamaria
// Date: 
//--------------------------------------------------------------------------

public class WhiteBoardShape
{
   // 4 Shape types
   //    0. Line
   //    1. Rectangle
   //    2. Ellipse
   //    3. Circle
   //    4. Text
   int shapeType;

   // if Text
      int posX;
      int posY;
      String textStr;   // String to display

   // else Line, Rectangle, Ellipse, Circle
      int leftTopX;
      int leftTopY;
      int rightBottomX;
      int rightBottomY;

      // 0. Solid
      // 1. Dot
      int lineStyle;

      // Line Color
      int lineColor;

      // 1 through 10 inclusive
      int lineWidth;

      // 0. Solid
      // 1. Clear
      // 2. Diagonal
      int brushStyle;

      int brushColor;

   // -------------------------------------------------------------------------
   // Name:
   // Return:
   // Purpose:
   // -------------------------------------------------------------------------
   public WhiteBoardShape( int shape,
                           int pX,
                           int pY,
                           String text)
   {
      shapeType = shape;

      posX = pX;
      posY = pY;

      textStr = text;
   }

   // -------------------------------------------------------------------------
   // Name:
   // Return:
   // Purpose:
   // -------------------------------------------------------------------------
   public WhiteBoardShape( int shape,
                           int ltX,
                           int ltY,
                           int rbX,
                           int rbY,
                           int ls,
                           int lc,
                           int lw,
                           int bs,
                           int bc )
   {
      shapeType = shape;

      leftTopX = ltX;
      leftTopY = ltY;
      rightBottomX = rbX;
      rightBottomY = rbY;

      lineStyle = ls;
      lineColor = lc;
      lineWidth = lw;

      brushStyle = bs;
      brushColor = bc;
   }

   // -------------------------------------------------------------------------
   // Name: toString()
   // Return: String
   // Purpose: To diplay this class
   // -------------------------------------------------------------------------
   public String toString()
   {
      String retVal = new String();

      retVal = "ShapeType: " +  shapeType + "\n";

      if( shapeType == 4 )
      {
         retVal += "PosX: " + posX + "\n";
         retVal += "PosY: " + posY + "\n";
         retVal += "TextStr: " + textStr + "\n";
      }
      else
      {
         retVal += "LeftTopX: " + leftTopX + "\n";
         retVal += "LeftTopY: " + leftTopY + "\n";
         retVal += "RightBottomX: " + rightBottomX + "\n";
         retVal += "RightBottomY: " + rightBottomY + "\n";
         retVal += "LineSytle: " + lineStyle + "\n";
         retVal += "LineColor: " + lineColor + "\n";
         retVal += "LineWidth: " + lineWidth + "\n";
         retVal += "BrushStyle: " + brushStyle + "\n";
         retVal += "BrushColor: " + brushColor + "\n";
      }

      return retVal;
   } // End toString()

} // End Class WhiteBoardShape.java
