import org.apache.lucene.document.Document;
import org.apache.lucene.document.Field;
import org.apache.lucene.document.DateField;

import java.util.Date;

public class JACMessageDocument {

	public static Document Document(IncomingMessage message) {
		Document doc = new Document();

	    doc.add(Field.Text("sender", message.getName()));
            message.getNextVariable();
            message.getNextVariable();
	    doc.add(Field.Text("text", message.getNextVariable()));

    	return doc;
    }

	// BPS
    public static Document Document(BPSArchiveMessage msg) {
        Document doc = new Document();

        doc.add(Field.Text("sender", msg.getName()));
        doc.add(Field.Text("text", msg.getText()));

        return doc;
    }
    
    private JACMessageDocument() {}
}
