// -------------------------------------------------------------------------
// Name: Christopher Santamaria
// Date: 
//--------------------------------------------------------------------------

import javax.swing.*;
import javax.swing.border.*;
import java.awt.event.*;
import java.awt.*;

public class LabelComboRenderer extends JLabel implements ListCellRenderer
{
   Color selectedColor = new Color( 129, 150, 199 );

   // -------------------------------------------------------------------------
   // Name:
   // Return:
   // Purpose:
   // -------------------------------------------------------------------------
   public LabelComboRenderer()
   {
      setOpaque( true );
   }

   // -------------------------------------------------------------------------
   // Name:
   // Return:
   // Purpose:
   // -------------------------------------------------------------------------
   public Component getListCellRendererComponent( JList list, Object obj, int row, boolean sel, boolean focus )
   {
      setText( obj.toString() );

      setForeground( StaticFunctions.computeColor( row ) );

      if( sel )
         setBackground( selectedColor );
      else
         setBackground( Color.WHITE );

      return this;
   }
}  // End Class LabelComboRenderer
