// -------------------------------------------------------------------------
// Name: Beatriz Maeireizo
// Date: 
//--------------------------------------------------------------------------

import java.util.Vector;

public class Profile extends BDObject {

  private String type;
  private String ssn;
  private String firstName;
  private String lastName;
  private String email;
  private String url;
  private String areas;
  private String courses;

  private String skills;
  private Double grade;
  private String projectTopic;

  private String advisorFirstName;
  private String advisorLastName;
  private String advisorEmail;
  private String advisorUrl;
  private String advisorAreas;
  private String advisorCourses;

  private Double avgRating;
  private String review;

  public static Property[] TYPE = {new Property("Student","S"),new Property("Teacher","T")};


   // -------------------------------------------------------------------------
   // Name:
   // Return:
   // Purpose:
   // -------------------------------------------------------------------------
  public Vector find(){
     Vector vector = new Vector();
     return vector;
  };


   // -------------------------------------------------------------------------
   // Name:
   // Return:
   // Purpose:
   // -------------------------------------------------------------------------
   public boolean check(int codigo) {
      return true;
   }


   // -------------------------------------------------------------------------
   // Name:
   // Return:
   // Purpose:
   // -------------------------------------------------------------------------

   public Profile() {
	super();
   }

   // -------------------------------------------------------------------------
   // Name:
   // Return:
   // Purpose:
   // -------------------------------------------------------------------------

   public Vector find (int tableType) { //tableType: 0=Student, 1=Teacher
     Vector vector = new Vector();
     Vector profiles = new Vector();

     vector = getData(tableType);

     int i;
     if (tableType == 0)
       for (i = 0; i < vector.size(); i++) {
	  Vector row = (Vector) vector.elementAt(i);

	  Profile profile = new Profile();

          profile.setType("Student");
          profile.setSsn(row.elementAt(0) == null ? null:(String) row.elementAt(0));
          profile.setName(row.elementAt(1) == null ? "":(String) row.elementAt(1));
          profile.setLastName(row.elementAt(2) == null ? "":(String) row.elementAt(2));
          profile.setEmail(row.elementAt(3) == null ? "":(String) row.elementAt(3));
          profile.setUrl(row.elementAt(4) == null ? null:(String) row.elementAt(4));
          profile.setAreas(row.elementAt(5) == null ? null:(String) row.elementAt(5));
          profile.setCourses(row.elementAt(6) == null ? null:(String) row.elementAt(6));
          profile.setAvgRating(row.elementAt(7) == null ? new Double(0) : ((Double) row.elementAt(7)));

          profile.setSkills(row.elementAt(8) == null ? null:(String) row.elementAt(8));
          profile.setProjectTopic(row.elementAt(9) == null ? null:(String) row.elementAt(9));

          profile.setAdvisorName(row.elementAt(10) == null ? null:(String) row.elementAt(10));
          profile.setAdvisorLastName(row.elementAt(11) == null ? null:(String) row.elementAt(11));
          profile.setAdvisorEmail(row.elementAt(12) == null ? null:(String) row.elementAt(12));
          profile.setAdvisorUrl(row.elementAt(13) == null ? null:(String) row.elementAt(13));
          profile.setAdvisorAreas(row.elementAt(14) == null ? null:(String) row.elementAt(14));
          profile.setAdvisorCourses(row.elementAt(15) == null ? null:(String) row.elementAt(15));

          profile.setGrade(row.elementAt(16) == null ? new Double(0) : ((Double) row.elementAt(16)));
          profile.setReview(row.elementAt(17) == null ? null:(String) row.elementAt(17));

          profiles.addElement(profile);

       }
     else
       for (i = 0; i < vector.size(); i++) {
	  Vector row = (Vector) vector.elementAt(i);

	  Profile profile = new Profile();

          profile.setType("Teacher");
          profile.setSsn(row.elementAt(0) == null ? null:(String) row.elementAt(0));
          profile.setName(row.elementAt(1) == null ? "":(String) row.elementAt(1));
          profile.setLastName(row.elementAt(2) == null ? "":(String) row.elementAt(2));
          profile.setEmail(row.elementAt(3) == null ? "":(String) row.elementAt(3));
          profile.setUrl(row.elementAt(4) == null ? null:(String) row.elementAt(4));
          profile.setAreas(row.elementAt(5) == null ? null:(String) row.elementAt(5));
          profile.setCourses(row.elementAt(6) == null ? null:(String) row.elementAt(6));
          profile.setAvgRating(row.elementAt(7) == null ? new Double(0) : ((Double) row.elementAt(7)));

          profile.setSkills(null);
          profile.setProjectTopic(null);

          profile.setAdvisorName(null);
          profile.setAdvisorLastName(null);
          profile.setAdvisorEmail(null);
          profile.setAdvisorUrl(null);
          profile.setAdvisorAreas(null);
          profile.setAdvisorCourses(null);
	  profile.setGrade(new Double(0));
          profile.setReview(null);

          profiles.addElement(profile);

       };
     return profiles;
  }

   // -------------------------------------------------------------------------
   // Name:
   // Return:
   // Purpose:
   // -------------------------------------------------------------------------

   public Vector findLowStudent () { 

     connect();

     Vector vector = new Vector();

     String whereName = getName() == null ? "" : " AND STUDENT.FIRSTNAME like '" + getName() + "%'";
     String whereLastName = getLastName() == null ? "" : " AND STUDENT.LASTNAME like '" + getLastName() + "%'";
     String whereGrade = " AND IS_ENROLLED.GRADE <= 60 ";
     String whereMatch = " AND STUDENT.SSN = IS_ENROLLED.SSN AND IS_ENROLLED.course = COURSE.COURSE ";

     String s0 = "SELECT COURSE.TOPIC FROM COURSE, STUDENT, IS_ENROLLED ";

     String s1 = whereName + whereLastName + whereGrade+ whereMatch;


     if(!s1.equals(""))
	    s1 = "WHERE " + s1.substring(4);

     String sql = s0 + s1;

     vector = connection.performQuery(sql);
     System.out.println(sql);
     System.out.println("Vector = "+vector);
    	
     disconnect();

     return vector;
  }


   // -------------------------------------------------------------------------
   // Name:
   // Return:
   // Purpose:
   // -------------------------------------------------------------------------


   public Vector findLowCourses() { 

     connect();

     Vector vector = new Vector();

     String whereName = getName() == null ? "" : " AND STUDENT.FIRSTNAME like '" + getName() + "%'";
     String whereLastName = getLastName() == null ? "" : " AND STUDENT.LASTNAME like '" + getLastName() + "%'";
     String whereGrade = " AND IS_ENROLLED.GRADE <= 60 ";
     String whereMatch = " AND STUDENT.SSN = IS_ENROLLED.SSN  ";

     String s0 = "SELECT IS_ENROLLED.COURSE FROM STUDENT, IS_ENROLLED ";

     String s1 = whereName + whereLastName + whereGrade+ whereMatch;


     if(!s1.equals(""))
	    s1 = "WHERE " + s1.substring(4);

     String sql = s0 + s1;


     vector = connection.performQuery(sql);
     System.out.println(sql);
     System.out.println("Vector = "+vector);
     disconnect();

     return vector;
  }


   // -------------------------------------------------------------------------
   // Name:
   // Return:
   // Purpose:
   // -------------------------------------------------------------------------

   private Vector getData(int tableType) {//tableType: 0=Student, 1=Teacher

     connect();

     String table1 = tableType == 0 ? "STUDENT" : "TEA_PAS";

     Vector vector = new Vector();

     String whereName = getName() == null ? "" : " AND "+ table1 + ".FIRSTNAME like '" + getName() + "%'";
     String whereLastName = getLastName() == null ? "" : " AND "+ table1 + ".LASTNAME like '" + getLastName() + "%'";
     String whereArea = getAreas() == null ? "" : " AND "+ table1 + ".AREAS like '%" + getAreas() + "%'";
     String whereCourse="";
     if (tableType == 1)
	     whereCourse = getCourses() == null ? "" : " AND "+ table1 + ".COURSES like '%" + getCourses() + "%'";
     else
	     whereCourse = getCourses() == null ? "" : " AND IS_ENROLLED.COURSE like '%" + getCourses() + "%'";


     String whereSkills = ""; 
     if (tableType == 0) whereSkills = getSkills() == null ? "" : " AND "+ table1 + ".SKILLS like '%" + getSkills() + "%'";

     String whereProjectTopic = "";
     if (tableType == 0) whereProjectTopic = getProjectTopic() == null ? "" : " AND "+ table1 + ".PROJECTTOPIC like '%" + getProjectTopic() + "%'";


     String s3 = tableType == 1 ? "" : ", TEA_PAS ";

     String whereMatch2="";
     String whereGrade = "";
     if (tableType == 1)
        whereGrade = getGrade() == null ? "" : " AND "+ table1 + ".AVG_RATING >= " + getGrade();
     else{
        whereMatch2 = " AND IS_ENROLLED.SSN = STUDENT.SSN";
        s3 = s3 +", IS_ENROLLED ";
        if (getGrade()!= null){
	    whereGrade = getCourses() == null ? " AND "+ table1 + ".AVG_RATING >= " + getGrade() : " AND IS_ENROLLED.GRADE >= "+ getGrade();
        }
     }

     String whereMatch = tableType == 1 ? "" : " AND STUDENT.SSN_ADVISOR = TEA_PAS.SSN ";

     String s0 = "SELECT " + table1 +".SSN, " + table1 + ".FIRSTNAME, " + table1 + ".LASTNAME, " + table1 + ".Email, " + table1 + ".URL, " +  table1 + ".AREAS, ";

     if (tableType==0)
	     s0 = s0 + "IS_ENROLLED.COURSE, "+  table1 + ".AVG_RATING ";
     else
             s0 = s0 + table1 + ".COURSES, "+  table1 + ".AVG_RATING ";

     String s1 = ", "+  table1 + ".SKILLS, " + table1 + ".PROJECTTOPIC, TEA_PAS.FIRSTNAME, TEA_PAS.LASTNAME, TEA_PAS.Email, TEA_PAS.URL, TEA_PAS.AREAS, TEA_PAS.COURSES, "+ 
                 "IS_ENROLLED.GRADE, "+ table1 + ".REVIEW ";

     if (tableType == 1) s1="";
     String s2 = "FROM " + table1 + " ";


     String s4 = whereName + whereLastName + whereArea + whereCourse + whereSkills + whereProjectTopic + whereGrade + whereMatch+ whereMatch2;
     String s5 = " ORDER BY " + table1 + ".LASTNAME";

     if(!s4.equals(""))
	    s4 = "WHERE " + s4.substring(4);

     String sql = s0 + s1 + s2 + s3 + s4 + s5;
     vector = connection.performQuery(sql);


     disconnect();

     return vector;
  }

   // -------------------------------------------------------------------------
   // Name:
   // Return:
   // Purpose:
   // -------------------------------------------------------------------------
   public String getType() {
	return type;
   }

   // -------------------------------------------------------------------------
   // Name:
   // Return:
   // Purpose:
   // -------------------------------------------------------------------------
   public String getName() {
	return firstName;
   }

   // -------------------------------------------------------------------------
   // Name:
   // Return:
   // Purpose:
   // -------------------------------------------------------------------------
   public String getLastName() {
	return lastName;
   }

   // -------------------------------------------------------------------------
   // Name:
   // Return:
   // Purpose:
   // -------------------------------------------------------------------------
   public String getAreas() {
	return areas;
   }

   // -------------------------------------------------------------------------
   // Name:
   // Return:
   // Purpose:
   // -------------------------------------------------------------------------
   public String getCourses() {
	return courses;
   }

   // -------------------------------------------------------------------------
   // Name:
   // Return:
   // Purpose:
   // -------------------------------------------------------------------------
   public Double getGrade() {
	return grade;
   }

   // -------------------------------------------------------------------------
   // Name:
   // Return:
   // Purpose:
   // -------------------------------------------------------------------------
   public String getEmail() {
	return email;
   }

   // -------------------------------------------------------------------------
   // Name:
   // Return:
   // Purpose:
   // -------------------------------------------------------------------------
   public String getUrl() {
	return url;
   }

   // -------------------------------------------------------------------------
   // Name:
   // Return:
   // Purpose:
   // -------------------------------------------------------------------------
   public Double getAvgRating() {
	return avgRating;
   }


   // -------------------------------------------------------------------------
   // Name:
   // Return:
   // Purpose:
   // -------------------------------------------------------------------------
   public String getSkills() {
	return skills;
   }

   // -------------------------------------------------------------------------
   // Name:
   // Return:
   // Purpose:
   // -------------------------------------------------------------------------
   public String getProjectTopic() {
	return projectTopic;
   }

   // -------------------------------------------------------------------------
   // Name:
   // Return:
   // Purpose:
   // -------------------------------------------------------------------------
   public String getReview() {
	return review;
   }

   // -------------------------------------------------------------------------
   // Name:
   // Return:
   // Purpose:
   // -------------------------------------------------------------------------
   public String getAdvisorName() {
	return advisorFirstName;
   }

   // -------------------------------------------------------------------------
   // Name:
   // Return:
   // Purpose:
   // -------------------------------------------------------------------------
   public String getAdvisorLastName() {
	return advisorLastName;
   }

   // -------------------------------------------------------------------------
   // Name:
   // Return:
   // Purpose:
   // -------------------------------------------------------------------------
   public String getAdvisorAreas() {
	return advisorAreas;
   }

   // -------------------------------------------------------------------------
   // Name:
   // Return:
   // Purpose:
   // -------------------------------------------------------------------------
   public String getAdvisorCourses() {
	return advisorCourses;
   }

   // -------------------------------------------------------------------------
   // Name:
   // Return:
   // Purpose:
   // -------------------------------------------------------------------------
   public String getAdvisorEmail() {
	return advisorEmail;
   }

   // -------------------------------------------------------------------------
   // Name:
   // Return:
   // Purpose:
   // -------------------------------------------------------------------------
   public String getAdvisorUrl() {
	return advisorUrl;
   }


   // -------------------------------------------------------------------------
   // Name:
   // Return:
   // Purpose:
   // -------------------------------------------------------------------------
   public void setType(String type) {
	this.type = Util.reemplaza_commillas(type);
   }

   // -------------------------------------------------------------------------
   // Name:
   // Return:
   // Purpose:
   // -------------------------------------------------------------------------
   public void setSsn(String ssn) {
	this.ssn = Util.reemplaza_commillas(ssn);
   }

   // -------------------------------------------------------------------------
   // Name:
   // Return:
   // Purpose:
   // -------------------------------------------------------------------------
   public void setName(String name) {
	this.firstName = Util.reemplaza_commillas(name);
   }


   // -------------------------------------------------------------------------
   // Name:
   // Return:
   // Purpose:
   // -------------------------------------------------------------------------
   public void setLastName(String name) {
	this.lastName = Util.reemplaza_commillas(name);
   }
   // -------------------------------------------------------------------------
   // Name:
   // Return:
   // Purpose:
   // -------------------------------------------------------------------------
   public void setEmail(String email) {
	this.email = Util.reemplaza_commillas(email);
   }

   // -------------------------------------------------------------------------
   // Name:
   // Return:
   // Purpose:
   // -------------------------------------------------------------------------
   public void setUrl(String url) {
	this.url = Util.reemplaza_commillas(url);
   }


   // -------------------------------------------------------------------------
   // Name:
   // Return:
   // Purpose:
   // -------------------------------------------------------------------------
   public void setAreas(String areas) {
	this.areas = Util.reemplaza_commillas(areas);
   }

   // -------------------------------------------------------------------------
   // Name:
   // Return:
   // Purpose:
   // -------------------------------------------------------------------------
   public void setCourses(String courses) {
	this.courses = Util.reemplaza_commillas(courses);
   }

   // -------------------------------------------------------------------------
   // Name:
   // Return:
   // Purpose:
   // ------------------------------------------------------------------------- 
   public void setGrade(Double grade) {
	this.grade = grade;

   }

   // -------------------------------------------------------------------------
   // Name:
   // Return:
   // Purpose:
   // -------------------------------------------------------------------------
   public void setSkills(String skills) {
	this.skills = Util.reemplaza_commillas(skills);
   }


   // -------------------------------------------------------------------------
   // Name:
   // Return:
   // Purpose:
   // ------------------------------------------------------------------------- 
   public void setAvgRating(Double avg) {
	this.avgRating = avg;

   }



   // -------------------------------------------------------------------------
   // Name:
   // Return:
   // Purpose:
   // ------------------------------------------------------------------------- 
   public void setReview(String review) {
	this.review = review;

   }


   // -------------------------------------------------------------------------
   // Name:
   // Return:
   // Purpose:
   // -------------------------------------------------------------------------
   public void setProjectTopic(String text) {
	this.projectTopic = Util.reemplaza_commillas(text);
   }

   // -------------------------------------------------------------------------
   // Name:
   // Return:
   // Purpose:
   // -------------------------------------------------------------------------
   public void setAdvisorName(String name) {
	this.advisorFirstName = Util.reemplaza_commillas(name);
   }


   // -------------------------------------------------------------------------
   // Name:
   // Return:
   // Purpose:
   // -------------------------------------------------------------------------
   public void setAdvisorLastName(String name) {
	this.advisorLastName = Util.reemplaza_commillas(name);
   }
   // -------------------------------------------------------------------------
   // Name:
   // Return:
   // Purpose:
   // -------------------------------------------------------------------------
   public void setAdvisorEmail(String email) {
	this.advisorEmail = Util.reemplaza_commillas(email);
   }

   // -------------------------------------------------------------------------
   // Name:
   // Return:
   // Purpose:
   // -------------------------------------------------------------------------
   public void setAdvisorUrl(String url) {
	this.advisorUrl = Util.reemplaza_commillas(url);
   }


   // -------------------------------------------------------------------------
   // Name:
   // Return:
   // Purpose:
   // -------------------------------------------------------------------------
   public void setAdvisorAreas(String areas) {
	this.advisorAreas = Util.reemplaza_commillas(areas);
   }

   // -------------------------------------------------------------------------
   // Name:
   // Return:
   // Purpose:
   // -------------------------------------------------------------------------
   public void setAdvisorCourses(String courses) {
	this.advisorCourses = Util.reemplaza_commillas(courses);
   }
}

