// -------------------------------------------------------------------------
// Name: Beatriz Maeireizo
// Date: 
//--------------------------------------------------------------------------

import java.sql.*;
import javax.swing.table.AbstractTableModel;
import javax.swing.event.TableModelEvent;
import java.util.*;

public class ProfileTable extends AbstractTableModel {

	Connection          connection;
	Statement           statement;
	ResultSet           resultSet;
	private String[]            columnNames = {};
	protected Vector		        rows = new Vector();
	ResultSetMetaData   metaData;


	public ProfileTable(Vector rows,String[] columnNames) {
    this.rows = rows;
    this.columnNames = columnNames;
	 }


	protected void finalize() throws Throwable {
		super.finalize();
	}

	public String getColumnName(int column) {
		if (columnNames[column] != null) {
			return columnNames[column];
		} else {
			return "";
		}
	}

	public Class getColumnClass(int column) {
			return getValueAt(0, column).getClass();
	}


	public int getColumnCount() {
		return columnNames.length;
	}

	// Data methods

	public int getRowCount() {
		return rows.size();
	}

	public Object getValueAt(int aRow, int aColumn) {
		Vector row = (Vector)rows.elementAt(aRow);
		return row.elementAt(aColumn);
	}

    public java.lang.String[] getColumnNames() {
        return columnNames;
    }

    public void setColumnNames(String[] newColumnNames) {
        columnNames = newColumnNames;
    }

    public Vector getRows() {
        return rows;
    }

    public void setRows(Vector newRows) {
        rows = newRows;
    }
}
