// -------------------------------------------------------------------------
// Name: Beatriz Maeireizo
// Date: 
//--------------------------------------------------------------------------

import javax.swing.*;
import javax.swing.border.*;
import java.awt.event.*;
import java.awt.*;
import java.util.*;
import javax.swing.table.AbstractTableModel;
import javax.swing.event.TableModelEvent;
import java.util.Vector;
import java.awt.event.MouseEvent;
import java.awt.event.ActionEvent;

public class SearchProfilePanel extends JSplitPane{

  private Vector profiles;

  //Search variables

  private JLabel searchTypeLabel = null;
  private JLabel searchNameLabel = null;
  private JLabel searchLastNameLabel = null;
  private JLabel searchAreasLabel = null;
  private JLabel searchCoursesLabel = null;
  private JLabel searchSkillsLabel = null;
  private JLabel searchProjectLabel = null;
  private JLabel searchScoreLabel = null;

  private JComboBox searchTypeCombo = null;
  private JTextField searchNameText = null;
  private JTextField searchLastNameText = null;
  private JTextField searchAreasText = null;
  private JTextField searchCoursesText = null;
  private JTextField searchSkillsText = null;
  private JTextField searchProjectText = null;
  private JTextField searchScoreText = null;

  private JPanel searchPanel1 = null;
  private JPanel searchPanel2 = null;
  private JPanel searchPanel = null;


  // Button panel
  private JPanel buttonPanel1 = null;
  private JPanel buttonPanel2 = null;
  private JPanel buttonPanel = null;
  private JButton searchButton = null;


  //Result variables

  private JLabel resultLabel = null;
  private JTable resultTable = null;
  private JScrollPane resultScrollPane;

  //Left panel
  private JPanel leftPanel = null;

  //Detail variables
  private JLabel resultTypeLabel = null;
  private JLabel resultNameLabel = null;
  private JLabel resultLastNameLabel = null;
  private JLabel resultEmailLabel = null;
  private JLabel resultUrlLabel = null;
  private JLabel resultAreasLabel = null;
  private JLabel resultCoursesLabel = null;
  private JLabel resultSkillsLabel = null;
  private JLabel resultProjectLabel = null;
  private JLabel resultGradeLabel = null;

  private JTextField resultTypeText = null;
  private JTextField resultNameText = null;
  private JTextField resultLastNameText = null;
  private JTextField resultEmailText = null;
  private JTextField resultUrlText = null;
  private JTextField resultAreasText = null;
  private JTextField resultCoursesText = null;
  private JTextField resultSkillsText = null;
  private JTextField resultProjectText = null;
  private JTextField resultGradeText = null;

  private JPanel detailPanel = null;
  private JScrollPane detailScrollPane;


  //Advisor's variables
  private JLabel advisorNameLabel = null;
  private JLabel advisorLastNameLabel = null;
  private JLabel advisorEmailLabel = null;
  private JLabel advisorUrlLabel = null;
  private JLabel advisorAreasLabel = null;
  private JLabel advisorCoursesLabel = null;

  private JTextField advisorNameText = null;
  private JTextField advisorLastNameText = null;
  private JTextField advisorEmailText = null;
  private JTextField advisorUrlText = null;
  private JTextField advisorAreasText = null;
  private JTextField advisorCoursesText = null;

  private JPanel advisorPanel = null;
  private JScrollPane advisorScrollPane;

  //Review variables
  private JLabel reviewAvgLabel = null;
  private JTextField reviewAvgText = null;
  private JLabel reviewLabel = null;
  private JTextArea reviewTextArea = null;
  private JScrollPane reviewScrollPane;

  //right panel
  private JPanel rightPanel = null;

   // Class used to create an etched border along the perimeter of this pane
   private Border etched = null;

   // Used to enforce layout
   private GridBagLayout gridBagLayout = null;
   private GridBagConstraints gridBagConst = null;
   private Insets inst = null;

   // -------------------------------------------------------------------------
   // Name:
   // Return:
   // Purpose:
   // -------------------------------------------------------------------------
   private void addComponent( Component c, int row, int column, int width, int height )
   {
      // set gridx and gridy
      gridBagConst.gridx = column;
      gridBagConst.gridy = row;

      // set gridwidth and gridheight
      gridBagConst.gridwidth = width;
      gridBagConst.gridheight = height;

      // set constrants
      gridBagLayout.setConstraints( c, gridBagConst );
      add( c );
   }

   // -------------------------------------------------------------------------
   // Name:
   // Return:
   // Purpose:
   // -------------------------------------------------------------------------
    
  public SearchProfilePanel () {

  super(JSplitPane.HORIZONTAL_SPLIT);
  initLeftPanel();
  initRightPanel();
  setLeftComponent( leftPanel );
  setRightComponent( rightPanel );
  setDividerLocation ( 386 );
  searchButton.requestFocus();
  //setFocus();
  
  //setGrid();

  }

   // -------------------------------------------------------------------------
   // Name:
   // Return:
   // Purpose:
   // -------------------------------------------------------------------------
    
  private void initLeftPanel () {
  searchTypeLabel = new JLabel( "Type: " );
  searchTypeLabel.setBounds(15,20,70,18);

  searchNameLabel = new JLabel( "Name: " );
  searchNameLabel.setBounds(15,40,70,18);

  searchLastNameLabel = new JLabel( "Last Name: " );
  searchLastNameLabel.setBounds(15,60,70,18);

  searchAreasLabel = new JLabel( "Areas: " );
  searchAreasLabel.setBounds(15,80,70,18);

  searchScoreLabel = new JLabel( "Score: " );
  searchScoreLabel.setBounds(185,20,70,18);

  searchCoursesLabel = new JLabel( "Courses: " );
  searchCoursesLabel.setBounds(185,40,70,18);

  searchSkillsLabel = new JLabel( "Skills: " );
  searchSkillsLabel.setBounds(185,60,70,18);

  searchProjectLabel = new JLabel( "Project Topic: " );
  searchProjectLabel.setBounds(185,80,98,18);

  String[] typeString = { "Student", "Teacher" };
  searchTypeCombo = new JComboBox(typeString);
  searchTypeCombo.setBounds(80,20,100,18);
  searchTypeCombo.setSelectedIndex(0);

  searchNameText = new JTextField( "", 18 );
  searchNameText.setBounds(80,40,100,18);

  searchLastNameText = new JTextField( "", 18 );
  searchLastNameText.setBounds(80,60,100,18);

  searchAreasText = new JTextField( "", 18 );
  searchAreasText.setBounds(80,80,100,18);

  searchScoreText = new JTextField( "", 18 );
  searchScoreText.setBounds(265,20,100,18);

  searchCoursesText = new JTextField( "", 18 );
  searchCoursesText.setBounds(265,40,100,18);

  searchSkillsText = new JTextField( "", 18 );
  searchSkillsText.setBounds(265,60,100,18);

  searchProjectText = new JTextField( "", 18 );
  searchProjectText.setBounds(265,80,100,18);


  searchButton = new JButton( "Submit" );
  searchButton.setBounds(265,105,80,25);

  searchButton.addActionListener(new java.awt.event.ActionListener() {

      public void actionPerformed(ActionEvent e) {
        setGrid();
      }
    });

  resultTable = new JTable();
  resultTable.setModel(new javax.swing.table.DefaultTableModel(
          new Object [][] {
                {null, null, null, null},
                {null, null, null, null},
                {null, null, null, null},
                {null, null, null, null}
            },
            new String [] {
                "Name", "Last Name", "E-mail", "Grade"
            }
          ));
  resultTable.setPreferredScrollableViewportSize(new Dimension(360, 80));
  resultScrollPane = new JScrollPane();
  resultScrollPane.setViewportView(resultTable);
  resultScrollPane.setBounds(10,30,360,80);

  resultTable.addMouseListener(new MouseAdapter(){
     public void mouseClicked(MouseEvent e){
      if (e.getClickCount() == 2){
          doubleClick_actionPerformed(e);
         }
      }
     } );

  searchPanel1 = new JPanel();
  searchPanel1.setLayout(null);

  searchPanel1.add(searchTypeLabel, null);
  searchPanel1.add(searchTypeCombo, null);
  searchPanel1.add(searchNameLabel, null);
  searchPanel1.add(searchNameText, null); 
  searchPanel1.add(searchLastNameLabel, null); 
  searchPanel1.add(searchAreasLabel, null); 
  searchPanel1.add(searchCoursesLabel, null); 
  searchPanel1.add(searchSkillsLabel, null); 
  searchPanel1.add(searchProjectLabel, null); 
  searchPanel1.add(searchScoreLabel, null);
 
  searchPanel1.add(searchLastNameText, null); 
  searchPanel1.add(searchAreasText, null); 
  searchPanel1.add(searchCoursesText, null); 
  searchPanel1.add(searchSkillsText, null); 
  searchPanel1.add(searchProjectText, null); 
  searchPanel1.add(searchScoreText, null);


  //searchPanel1.add(searchTranscriptsButton, null);
  searchPanel1.add(searchButton, null);
  searchPanel1.setBounds(5, 2, 380, 140); 
  searchPanel1.setBorder( BorderFactory.createTitledBorder( etched, "Configure Search" ) );

  searchPanel2 = new JPanel();
  searchPanel2.setLayout(null);

  searchPanel2.add(resultScrollPane, null);
  searchPanel2.setBounds(5, 155, 380, 125); 
  searchPanel2.setBorder( BorderFactory.createTitledBorder( etched, "Results" ) );

  leftPanel = new JPanel();
  leftPanel.setLayout(null);

  leftPanel.add(searchPanel1,null);
  leftPanel.add(searchPanel2,null);

 }

   // -------------------------------------------------------------------------
   // Name:
   // Return:
   // Purpose:
   // -------------------------------------------------------------------------
    
  private void initRightPanel () {

  resultTypeLabel = new JLabel( "Type: " );
  resultTypeLabel.setBounds(15,15,70,18);

  resultNameLabel = new JLabel( "Name: " );
  resultNameLabel.setBounds(15,35,70,18);

  resultLastNameLabel = new JLabel( "Last Name: " );
  resultLastNameLabel.setBounds(15,55,70,18);

  JLabel resultEmailLabel = new JLabel( "E-mail: " );
  resultEmailLabel.setBounds(15,75,70,18);

  resultUrlLabel = new JLabel( "URL: " );
  resultUrlLabel.setBounds(15,95,70,18);


  resultAreasLabel = new JLabel( "Areas: " );
  resultAreasLabel.setBounds(195,15,70,18);

  resultCoursesLabel = new JLabel( "Course: " );
  resultCoursesLabel.setBounds(195,35,70,18);

  resultGradeLabel = new JLabel( "Grade: " );
  resultGradeLabel.setBounds(195,55,70,18);

  resultSkillsLabel = new JLabel( "Skills: " );
  resultSkillsLabel.setBounds(195,75,70,18);

  resultProjectLabel = new JLabel( "Project Topic: " );
  resultProjectLabel.setBounds(195,95,98,18);


  resultTypeText = new JTextField( "", 18 );
  resultTypeText.setBounds(90,15,100,18);
  resultTypeText.setBackground(Util.BGGRAY);
  resultTypeText.setEditable(false);
 

  resultNameText = new JTextField( "", 18 );
  resultNameText.setBounds(90,35,100,18);
  resultNameText.setBackground(Util.BGGRAY);
  resultNameText.setEditable(false);

  resultLastNameText = new JTextField( "", 18 );
  resultLastNameText.setBounds(90,55,100,18);
  resultLastNameText.setBackground(Util.BGGRAY);
  resultLastNameText.setEditable(false);

  resultEmailText = new JTextField( "", 18 );
  resultEmailText.setBounds(90,75,100,18);
  resultEmailText.setBackground(Util.BGGRAY);
  resultEmailText.setEditable(false);

  resultUrlText = new JTextField( "", 18 );
  resultUrlText.setBounds(90,95,100,18);
  resultUrlText.setBackground(Util.BGGRAY);
  resultUrlText.setEditable(false);

  resultAreasText = new JTextField( "", 18 );
  resultAreasText.setBounds(285,15,100,18);
  resultAreasText.setBackground(Util.BGGRAY);
  resultAreasText.setEditable(false);

  resultCoursesText = new JTextField( "", 18 );
  resultCoursesText.setBounds(285,35,100,18);
  resultCoursesText.setBackground(Util.BGGRAY);
  resultCoursesText.setEditable(false);

  resultGradeText = new JTextField( "", 18 );
  resultGradeText.setBounds(285,55,100,18);
  resultGradeText.setBackground(Util.BGGRAY);
  resultGradeText.setEditable(false);

  resultSkillsText = new JTextField( "", 18 );
  resultSkillsText.setBounds(285,75,100,18);
  resultSkillsText.setBackground(Util.BGGRAY);
  resultSkillsText.setEditable(false);

  resultProjectText = new JTextField( "", 18 );
  resultProjectText.setBounds(285,95,100,18);
  resultProjectText.setBackground(Util.BGGRAY);
  resultProjectText.setEditable(false);

  detailPanel = new JPanel();
  detailPanel.setLayout(null);

  detailPanel.add(resultTypeLabel, null);
  detailPanel.add(resultTypeText, null);
  detailPanel.add(resultNameLabel, null);
  detailPanel.add(resultNameText, null); 
  detailPanel.add(resultLastNameLabel, null); 
  detailPanel.add(resultAreasLabel, null); 
  detailPanel.add(resultCoursesLabel, null); 
  detailPanel.add(resultSkillsLabel, null); 
  detailPanel.add(resultProjectLabel, null); 
  detailPanel.add(resultGradeLabel, null); 
 
  detailPanel.add(resultLastNameText, null); 
  detailPanel.add(resultAreasText, null); 
  detailPanel.add(resultCoursesText, null); 
  detailPanel.add(resultSkillsText, null); 
  detailPanel.add(resultProjectText, null); 
  detailPanel.add(resultGradeText, null);


  detailPanel.add(resultUrlLabel, null);
  detailPanel.add(resultUrlText, null);

  detailPanel.add(resultEmailLabel, null);
  detailPanel.add(resultEmailText, null);

  detailPanel.setBounds(5, 2, 393, 130); 
  detailPanel.setBorder( BorderFactory.createTitledBorder( etched, "Detailed Result" ) );

/////////////////////

  advisorNameLabel = new JLabel( "Name: " );
  advisorNameLabel.setBounds(15,15,70,18);

  advisorLastNameLabel = new JLabel( "Last Name: " );
  advisorLastNameLabel.setBounds(15,35,70,18);

  JLabel advisorEmailLabel = new JLabel( "E-mail: " );
  advisorEmailLabel.setBounds(15,55,70,18);

  advisorUrlLabel = new JLabel( "URL: " );
  advisorUrlLabel.setBounds(15,75,70,18);


  advisorAreasLabel = new JLabel( "Areas: " );
  advisorAreasLabel.setBounds(15,95,70,18);

  advisorCoursesLabel = new JLabel( "Courses: " );
  advisorCoursesLabel.setBounds(15,115,70,18);

  advisorNameText = new JTextField( "", 18 );
  advisorNameText.setBounds(93,15,100,18);
  advisorNameText.setBackground(Util.BGGRAY);
  advisorNameText.setEditable(false);

  advisorLastNameText = new JTextField( "", 18 );
  advisorLastNameText.setBounds(93,35,100,18);
  advisorLastNameText.setBackground(Util.BGGRAY);
  advisorLastNameText.setEditable(false);

  advisorEmailText = new JTextField( "", 18 );
  advisorEmailText.setBounds(93,55,100,18);
  advisorEmailText.setBackground(Util.BGGRAY);
  advisorEmailText.setEditable(false);

  advisorUrlText = new JTextField( "", 18 );
  advisorUrlText.setBounds(93,75,100,18);
  advisorUrlText.setBackground(Util.BGGRAY);
  advisorUrlText.setEditable(false);

  advisorAreasText = new JTextField( "", 18 );
  advisorAreasText.setBounds(93,95,100,18);
  advisorAreasText.setBackground(Util.BGGRAY);
  advisorAreasText.setEditable(false);

  advisorCoursesText = new JTextField( "", 18 );
  advisorCoursesText.setBounds(93,115,100,18);
  advisorCoursesText.setBackground(Util.BGGRAY);
  advisorCoursesText.setEditable(false);

  advisorPanel = new JPanel();
  advisorPanel.setLayout(null);

  advisorPanel.add(advisorNameLabel, null);
  advisorPanel.add(advisorNameText, null); 
  advisorPanel.add(advisorLastNameLabel, null); 
  advisorPanel.add(advisorAreasLabel, null); 
  advisorPanel.add(advisorCoursesLabel, null); 
 
  advisorPanel.add(advisorLastNameText, null); 
  advisorPanel.add(advisorAreasText, null); 
  advisorPanel.add(advisorCoursesText, null); 

  advisorPanel.add(advisorUrlLabel, null);
  advisorPanel.add(advisorUrlText, null);

  advisorPanel.add(advisorEmailLabel, null);
  advisorPanel.add(advisorEmailText, null);

  advisorPanel.setBounds(182, 142, 210, 145); 
  advisorPanel.setBorder( BorderFactory.createTitledBorder( etched, "Advisor" ) );

///////////////////

  reviewAvgLabel = new JLabel("Rating Average:");
  reviewAvgLabel.setBounds(15,150,100,20);

  reviewAvgText = new JTextField("",10);
  reviewAvgText.setBounds(120,150,50,20);
  reviewAvgText.setBackground(Util.BGGRAY);
  reviewAvgText.setEditable(false);

  reviewLabel = new JLabel( "Reviews: " );
  reviewLabel.setBounds(15, 175, 100, 20);

  reviewTextArea = new JTextArea(200,5);
  reviewTextArea.setBackground(Util.BGGRAY);
  reviewTextArea.setEditable(false);
			
  reviewTextArea.setEditable(false);
  reviewTextArea.setFont(new Font("TimesRoman", Font.BOLD, 10));
		
  reviewScrollPane = new JScrollPane(reviewTextArea);
  reviewScrollPane.setBounds(10, 200, 160, 80);

  rightPanel = new JPanel();
  rightPanel.setLayout(null);

  rightPanel.add(detailPanel,null);
  rightPanel.add(advisorPanel,null);

  rightPanel.add(reviewAvgLabel,null);
  rightPanel.add(reviewAvgText,null);
  rightPanel.add(reviewLabel,null);
  rightPanel.add(reviewScrollPane,null);

  }

   // -------------------------------------------------------------------------
   // Name:
   // Return:
   // Purpose:
   // -------------------------------------------------------------------------

  private void setGrid() throws java.lang.NumberFormatException {
    Profile profile = new Profile();
    profile.setName(searchNameText.getText().trim().equals("") ? null:searchNameText.getText().trim());
    profile.setLastName(searchLastNameText.getText().trim().equals("") ? null:searchLastNameText.getText().trim());
    profile.setAreas(searchAreasText.getText().trim().equals("") ? null:searchAreasText.getText().trim());
    profile.setCourses(searchCoursesText.getText().trim().equals("") ? null:searchCoursesText.getText().trim());
    profile.setSkills(searchSkillsText.getText().trim().equals("") ? null:searchSkillsText.getText().trim());
    profile.setProjectTopic(searchProjectText.getText().trim().equals("") ? null:searchProjectText.getText().trim());

    try {
       profile.setGrade(searchScoreText.getText().trim().equals("") ? null : Double.valueOf(searchScoreText.getText().trim()));
    }	
    catch (java.lang.NumberFormatException e) {
       //profile.setGrade(0.0);
            JOptionPane.showMessageDialog(
                                     null,
                                     "Please enter a number in the Score field",
                                     "Input Error",
                                     JOptionPane.ERROR_MESSAGE );

            return;

    };

    if (searchTypeCombo.getSelectedItem().equals("Student"))
	    profiles = profile.find(0);
    else
	    profiles = profile.find(1);

    Vector dataTable = new Vector();

    for (int j = 0; j < profiles.size(); j++) {
        Vector row = new Vector();

        Profile profileAux = ((Profile) profiles.elementAt(j));
        row.addElement(profileAux.getName());
        row.addElement(profileAux.getLastName());
        row.addElement(profileAux.getEmail());
        if(profileAux.getType().equals("Teacher") || profile.getCourses()== null )
             row.addElement(profileAux.getAvgRating());
        else
             row.addElement(profileAux.getGrade());
        dataTable.addElement(row);
    }

    String[] columnNames = {"NAME","LAST NAME","EMAIL","AVG.RATING"};
    AbstractTableModel profileModel = new ProfileTable(dataTable,columnNames);
    resultTable.setModel(profileModel);

    resultTypeText.setText("");
    resultNameText.setText("");
    resultLastNameText.setText("");
    resultEmailText.setText("");
    resultUrlText.setText("");
    resultCoursesText.setText("");
    resultAreasText.setText("");
    resultSkillsText.setText("");
    resultProjectText.setText("");
    resultGradeText.setText("");

    advisorNameText.setText("");
    advisorLastNameText.setText("");
    advisorEmailText.setText("");
    advisorUrlText.setText("");
    advisorCoursesText.setText("");
    advisorAreasText.setText("");
    reviewAvgText.setText("");
    reviewTextArea.setText("");

  }  

   // -------------------------------------------------------------------------
   // Name:
   // Return:
   // Purpose:
   // -------------------------------------------------------------------------
  protected void doubleClick_actionPerformed(MouseEvent e)  {

     int[] rows = resultTable.getSelectedRows();
     int numRows = resultTable.getSelectedRowCount();

     if (numRows > 0 && numRows < 2) {

	Profile	profile = (Profile) profiles.elementAt(rows[0]);
	resultTypeText.setText(profile.getType());
	resultNameText.setText(profile.getName());
	resultLastNameText.setText(profile.getLastName());
	resultEmailText.setText(profile.getEmail());
	resultUrlText.setText(profile.getUrl());
	resultCoursesText.setText(profile.getCourses());
	resultAreasText.setText(profile.getAreas());
	resultSkillsText.setText(profile.getSkills());
	resultProjectText.setText(profile.getProjectTopic());

	advisorNameText.setText(profile.getAdvisorName());
	advisorLastNameText.setText(profile.getAdvisorLastName());
	advisorEmailText.setText(profile.getAdvisorEmail());
	advisorUrlText.setText(profile.getAdvisorUrl());
	advisorCoursesText.setText(profile.getAdvisorCourses());
	advisorAreasText.setText(profile.getAdvisorAreas());
	reviewAvgText.setText((profile.getAvgRating()).toString());
	resultGradeText.setText((profile.getGrade()).toString());
	reviewTextArea.setText(profile.getReview());
     }
  }

}                
    


