// -------------------------------------------------------------------------
// Name: Christopher Santamaria
// Date: 
//--------------------------------------------------------------------------

import java.util.Timer;
import java.util.TimerTask;

class SleepTask extends TimerTask
{
   // -------------------------------------------------------------------------
   // Name:
   // Return:
   // Purpose:
   // -------------------------------------------------------------------------
   public void run()
   {
//System.out.println( "Timer Expired" );

      StudentJLabel me = Global.classroomPanel.findStudent( Global.myFirstName + " " + Global.myLastName );
 
      if( me == null )
         return;

      if( Global.sleepTimer.isSleeping() == true )
      {
//System.out.println( "Already Sleeping" );
         return;
      }
      // If no activity, go to sleep!
      else if( Global.sleepTimer.getActivity() == 0 )
      {
//System.out.println( "Time to sleep" );
         Global.sleepTimer.setLastStatus( me.status );
         sendUpdateMessage( StaticFunctions.SLEEPING );
         Global.sleepTimer.resetActivity();
         Global.sleepTimer.setSleeping( true );
      }
      // If activity and not sleeping, just reset meter
      else
      {
//System.out.println( "Active" );
         Global.sleepTimer.resetActivity();
      }

   } // End void run()

   // -------------------------------------------------------------------------
   // Name:
   // Return:
   // Purpose:
   // -------------------------------------------------------------------------
   private void sendUpdateMessage( int status )
   {
      OutgoingMessage msg = new OutgoingMessage();

      msg.append( Integer.toString( StaticFunctions.COMMAND_UPDATE ) );
      msg.append( Integer.toString( status ) );

      Global.virtualClassroomThread.virtualClassroomSend( msg );
   }

} // End Class SleepTask
