// -------------------------------------------------------------------------
// Name: Anna Nys
// Date: 11.15.04
//--------------------------------------------------------------------------

//Created 11.5.04 -AN

import java.io.File;
import javax.swing.*;
import javax.swing.filechooser.*;

/* TextFilter.java is used by TeacherVT.java, GradeTable.java*/
public class TextFilter extends FileFilter {

    //Accept all directories and all .txt files.
    public boolean accept(File f) {
        if (f.isDirectory()) {
            return true;
        }

        String extension = Utils.getExtension(f);
        if (extension != null) {
            if (extension.equals("txt"))			
                    return true;
            else 
                return false;   
        }

        return false;
    }

    //The description of this filter
    public String getDescription() {
        return "Text Files";
    }
}
